/**
 * 秒杀页面搭建
 */
var miao = {
    plus_frame: null,
    /**
     * 初始化页面
     */
    init: function () {
        var _this = this;
        //检查功能是否要升级
        //$.msg()
        window.setTimeout(function () {
            _this.initCompents();
        }, 500);
        _this.initEvents(); 
    },
    /**
     * 初始化页面数据
     */
    initCompents: function () {
        var _this = this;
        _this.plus_frame = window.document.getElementById('plus_frame');
        var shengzaozao_com_miao_web_version="1";
        if(localStorage['shengzaozao_com_miao_web_version']!=undefined){
            shengzaozao_com_miao_web_version=localStorage['shengzaozao_com_miao_web_version'];
        }
        _this.plus_frame.src="http://browser.hwqsm.com/?v="+shengzaozao_com_miao_web_version;
        // this.plus_frame=window.document.createElement('IFRAME');
        //_this.plus_frame.src = "http://localhost:8080";
        // this.plus_frame.cssText="width:100%;height:100%;display: none;";
        this.plus_frame.onload = function () {
            _this.plus_frame.style.display = "unset";
            var elmask = window.document.getElementsByClassName("mask");
            if (elmask != null) {
                if (elmask.length > 0) {
                    elmask[0].style.display = "none";
                }
            }

            _this.globalAdv();
        }
        this.plus_frame.contentWindow.document.body.oncontextmenu = function () {
            return false;
        };
        // window.document.body.appendChild(this.plus_frame);
    },
    initEvents: function () {
        window.document.body.oncontextmenu = function () {
            return false;
        }
    },
    test: function () {
        alert('11111');
    },
    sendMessage: function (method, data) {
        var obj = {};
        obj.type = method;
        obj.data = data;

        this.plus_frame.contentWindow.postMessage(JSON.stringify(obj), '*');
    },
    getTaobaoTime: function (f) {
        var sUrl = 'http://api.m.taobao.com/rest/api3.do?api=mtop.common.getTimestamp';
        $.get(sUrl, function (r) {
            if (f) {
                f(r);
            }
        });
    },

    update: function () {
        if(localStorage['currentVersion']==undefined) return false;
        return parseFloat(localStorage['currentVersion']) < parseFloat(localStorage['latestVersion']);
    },
    globalAdv: function () {
        var _this=this;
        //同样的广告 每天只弹一次，不同的广告实时弹
        if (localStorage['shengzaozao_com_adsence_img'] != undefined && localStorage['shengzaozao_com_adsence_img'] != '' && localStorage['shengzaozao_com_adsence_img_precv'] != localStorage['shengzaozao_com_adsence_img']) {
            localStorage['adsence_flag'] = '';
            localStorage['shengzaozao_com_adsence_img_precv'] = localStorage['shengzaozao_com_adsence_img'];
        }

        localStorage['adsence_flag'] = '';//清除，每次打开都弹
        if (localStorage['shengzaozao_com_adsence_img'] != undefined && localStorage['shengzaozao_com_adsence_img'] != '' && localStorage['adsence_flag'] != this.getNowFormatDate()) {
            var src = localStorage['shengzaozao_com_adsence_img'];
            var url = localStorage['shengzaozao_com_adsence_url'];
            if (src.length < '9') src = '#';
            var img = '<a href="' + url + '" target="_blank" style="text-align:center"> <img src="' + src + '"  width="100%" height="100%" "  style="background:url(template/image/loading_line.svg) no-repeat; background-position:50% 50%; "  /></a>';
            layer.open({
                type: 5,
                area: ['250px', '330px'],
                offset: ['100px', '100px'],
                title: false,
                closeBtn: 0,
                shadeClose: true,
                content: img,

                success: function () {

                },
                end: function () {
                    localStorage['adsence_flag'] = _this.getNowFormatDate();
                }

            });
        }
    },
    getNowFormatDate:function(){
        var date = new Date();
        var seperator1 = "";
        var year = date.getFullYear();
        var month = date.getMonth() + 1;
        var strDate = date.getDate();
        if (month >= 1 && month <= 9) {
            month = "0" + month;
        }
        if (strDate >= 0 && strDate <= 9) {
            strDate = "0" + strDate;
        }
        var currentdate = year + seperator1 + month + seperator1 + strDate;
        return currentdate;
    }, 
};

window.miao = miao;
window.onload = function () {
    miao.init();
    window.addEventListener("message", function (e) {
        if (typeof (e.data) != "string")
            return;
        var obj = JSON.parse(e.data);
        switch (obj.type) {
            case 'getIcode': {
                var icode = localStorage['icode']; 
                var needUpdate=miao.update();
                if (typeof (icode) == 'undefined') {
                    icode = '';
                }
                miao.sendMessage('getInitPage', { 
                    icode: icode,
                    needUpdate:needUpdate,
                    latestVersion:localStorage["latestVersion"],
                    noticeIco:localStorage["shengzaozao_com_notice_icon"],
                    noticeText:localStorage["shengzaozao_com_notice_name"],
                    localStorageJson:JSON.stringify(localStorage)
                });
                break;

            }
            case "openUrl": {
                window.open(obj.data.url);
                break;
            }
            case "openOption": {
                optionURL = chrome.extension.getURL("options.html");
                window.open(optionURL);
                break;
            }
            case 'checkContract': {
                var flag = localStorage["shengzaozao_com_miao_agreement_state"] || localStorage["shengzaozao_com_miao_agreement_state"] == 'N';
                miao.sendMessage('checkContractResult', { result: flag });
                break;
            }
            case 'showContract': {
                var optionURL = chrome.extension.getURL("options.html");
                window.open(optionURL);
                break;
            }
            case 'alwaysGetTaobaoTime': {
                setInterval(function () {
                    miao.getTaobaoTime(
                        function (r) {
                            miao.sendMessage('getTaobaoTime', { result: r });
                        }
                    )
                }, 1000)
                break;
            }
            case 'start': {
                if (!localStorage['icode']) { layer.msg("初始化失败，点击 <a class='iconfont icon-chilun set ' href='options.html?ref=optSuccessSettings' target='_blank' title='设置'></a> 设置ICODE"); return; }
                if (localStorage['promotecode']) localStorage['click_auto_buy'] = 'Y';
                chrome.tabs.executeScript(null
                    , { file: "content_script.js" }
                    , function () {
                        setTimeout(function () {
                            localStorage['click_auto_buy'] = 'N';
                            window.close();
                        }, 100);
                    });
                break;
            }
            case "openShareDialog": {
                miao.sendMessage('openShareDialogResult', { notice_img: localStorage["shengzaozao_com_notice_img"], notice_text: localStorage["shengzaozao_com_notice_text"] });
                break;
            }
            case 'getInfo':{
                var msgData= obj.data;
                msgData.localStorage=JSON.stringify(localStorage);

                chrome.tabs.getSelected(null, function(tab){
                    msgData.tab=tab; 
                });
            
                break;
            }
            default:
                break;
        }
    });
}